Package org.apache.sling.testing.serversetup

## Class StartRunnableJarPhase

- java.lang.Object
- - org.apache.sling.testing.serversetup.StartRunnableJarPhase

All Implemented Interfaces:
  `SetupPhase`

    public class StartRunnableJarPhase
    extends Object
    implements SetupPhase

SetupPhase that uses a JarExecutor to start a runnable jar, and stop it at system shutdown if our SetupServer wants that.

### Field Summary

Fields
`static String` `TEST_SERVER_HOSTNAME`

### Constructor Summary

Constructors
`StartRunnableJarPhase​(ServerSetup owner, String id, String description, Properties config)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()` Get the phase ID string, a list of those is used by `ServerSetup` to decide which phases to run
`SetupPhase` `getKillPhase​(String id)` Return a SetupPhase that kills the process started by this phase
`boolean` `isStartupPhase()` Is this a startup or shutdown phase?
`void` `run​(ServerSetup owner)` Run this phase in the context of supplied ServerSetup
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TEST_SERVER_HOSTNAME

    public static final String TEST_SERVER_HOSTNAME

See Also:
  Constant Field Values

### Constructor Detail

#### StartRunnableJarPhase

    public StartRunnableJarPhase​(ServerSetup owner,
                                 String id,
                                 String description,
                                 Properties config)
                          throws JarExecutor.ExecutorException

Throws:
  `JarExecutor.ExecutorException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### run

    public void run​(ServerSetup owner)
             throws Exception

Description copied from interface: `SetupPhase`
Run this phase in the context of supplied ServerSetup

Specified by:
  `run` in interface `SetupPhase`
Throws:
  `Exception`

#### isStartupPhase

    public boolean isStartupPhase()

Description copied from interface: `SetupPhase`
Is this a startup or shutdown phase?

Specified by:
  `isStartupPhase` in interface `SetupPhase`

#### getId

    public String getId()

Description copied from interface: `SetupPhase`
Get the phase ID string, a list of those is used by `ServerSetup` to decide which phases to run

Specified by:
  `getId` in interface `SetupPhase`

#### getKillPhase

    public SetupPhase getKillPhase​(String id)

Return a SetupPhase that kills the process started by this phase